Subject: Re: bug#56527: 28.1; Crash on macOS with magit

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jul 2022 11:30:22 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: Jonathan Mitchell <[email-masked]>,  [email-masked]
> Date: Sat, 16 Jul 2022 10:13:19 +0200
> 
> Just wanted to add to this that I now tried with ASAN and checking
> enabled, and I cannot reproduce this.

Thanks.  It is a very strange problem, with symptoms that I don't know
how to explain except by some hardware problem, or maybe some system
feature that tries to over-optimize on the machine code level.  The
only idea I have is to turn off any such "optimization" features and
run deep hardware testing software on that machine.